#
# Conditional build:
%bcond_without	apidocs		# without API docs
%bcond_without	x		# build with X11 support

Summary:	VMWare guest utilities
Summary(pl.UTF-8):	Narzędzia dla systemu-gościa dla VMware
Name:		open-vm-tools
Version:	10.1.0
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	https://github.com/vmware/open-vm-tools/archive/stable-%{version}.tar.gz
# Source0-md5:	46f5a319275f63658f1a44b6c8755f6b
Source1:	%{name}-packaging
Source2:	%{name}-modprobe.d
Source3:	%{name}-init
Source4:	%{name}-vmware-user.desktop
Source5:	vmware-vmblock-fuse.service
Patch0:		%{name}-dnd.patch
Patch1:		%{name}-configure.patch
URL:		http://open-vm-tools.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.701
BuildRequires:	autoconf
BuildRequires:	doxygen
BuildRequires:	glib2-devel >= 2.6.0
%if %{with x}
BuildRequires:	gtk+2-devel
BuildRequires:	gtkmm-devel >= 2.4.0
%endif
BuildRequires:	libdnet-devel
BuildRequires:	libfuse-devel
BuildRequires:	libicu-devel
BuildRequires:	libmspack-devel
BuildRequires:	libnotify-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	procps-devel >= 1:3.3.3-2
BuildRequires:	uriparser-devel
BuildRequires:	xml-security-c-devel
%if %{with x}
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
%endif
Requires:	ethtool
Requires:	libdnet
Requires:	libicu
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libDeployPkg.so.0.0.0

%description
VMWare guest utilities.

%description -l pl.UTF-8
Narzędzia dla systemu-gościa dla VMware.

%package devel
Summary:	Header files for open-vm-tools
Summary(pl.UTF-8):	Pliki nagłówkowe open-vm-tools
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for open-vm-tools.

%description devel -l pl.UTF-8
Pliki nagłówkowe open-vm-tools.

%package static
Summary:	Static open-vm-tools libraries
Summary(pl.UTF-8):	Statyczne biblioteki open-vm-tools
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static open-vm-tools libraries.

%description static -l pl.UTF-8
Statyczne biblioteki open-vm-tools.

%package gui
Summary:	VMware guest utitities
Summary(pl.UTF-8):	Narzędzia dla systemu-gościa dla VMware.
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gui
VMWare guest utilities. This package contains GUI part of tools.

%description gui -l pl.UTF-8
Narzędzia dla systemu-gościa dla VMware. Ten pakiet zawiera graficzną
część narzędzi.

%package apidocs
Summary:	VMware API documentation
Summary(pl.UTF-8):	Dokumentacja do API VMware
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
This package contains VMware API documentation.

%description apidocs -l pl.UTF-8
Ten pakiet zawiera dokumentację do API VMware.

%package -n udev-open-vm-tools
Summary:	UDEV rules for open-vm-tools
Summary(pl.UTF-8):	Reguły UDEV dla open-vm-tools
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	udev-core

%description -n udev-open-vm-tools
UDEV rules for open-vm-tools.

%description -n udev-open-vm-tools -l pl.UTF-8
Reguły UDEV dla open-vm-tools.

%prep
%setup -q -n %{name}-stable-%{version}
%patch0 -p1
%patch1 -p1

cp %{SOURCE1} open-vm-tools/packaging

%build
cd open-vm-tools
rm -rf autom4te.cache
install -d config
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
export CUSTOM_PROCPS_NAME=procps
%configure2_13 \
	--without-kernel-modules \
%if %{with x}
	--with-x
%else
	--without-x
%endif
%{__make} \
	CFLAGS="%{rpmcflags} -Wno-unused-but-set-variable" \
	CXXFLAGS="%{rpmcxxflags} -std=c++11 -Wno-unused-but-set-variable"

%install
rm -rf $RPM_BUILD_ROOT

cd open-vm-tools
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/sbin/mount.vmhgfs
ln -sf %{_sbindir}/mount.vmhgfs $RPM_BUILD_ROOT/sbin/mount.vmhgfs
rm -f $RPM_BUILD_ROOT%{_libdir}/open-vm-tools/plugins/common/*.la

#mkdir -p docs/%{name}-%{version}/api
#mv docs/api/build/html docs/%{name}-%{version}/api
%{__rm} -r $RPM_BUILD_ROOT/usr/share/doc/%{name}

install -d $RPM_BUILD_ROOT/etc/{modprobe.d,rc.d/init.d,xdg/autostart}
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/modprobe.d/%{name}.conf
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp %{SOURCE4} $RPM_BUILD_ROOT/etc/xdg/autostart/vmware-user.desktop

install -d $RPM_BUILD_ROOT%{systemdunitdir}
cp %{SOURCE5} $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add open-vm-tools
%service open-vm-tools restart "Open Virtual Machine"
%systemd_post vmware-vmblock-fuse.service

%preun
if [ "$1" = "0" ]; then
	%service open-vm-tools stop
	/sbin/chkconfig --del open-vm-tools
fi
%systemd_preun vmware-vmblock-fuse.service


%postun -p /sbin/ldconfig
%systemd_reload

%files
%defattr(644,root,root,755)
%doc open-vm-tools/AUTHORS open-vm-tools/ChangeLog open-vm-tools/NEWS open-vm-tools/README open-vm-tools/packaging
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/vmtoolsd
%dir /etc/vmware-tools
%attr(755,root,root) /etc/vmware-tools/*vm-*
/etc/vmware-tools/guestproxy-ssl.conf
/etc/vmware-tools/vgauth.conf
%dir /etc/vmware-tools/vgauth
/etc/vmware-tools/vgauth/schemas
%attr(755,root,root) /etc/vmware-tools/statechange.subr
%dir /etc/vmware-tools/scripts
%dir /etc/vmware-tools/scripts/vmware
%attr(755,root,root) /etc/vmware-tools/scripts/vmware/network
%attr(755,root,root) /sbin/mount.vmhgfs
%attr(755,root,root) %{_bindir}/VGAuthService
%attr(755,root,root) %{_bindir}/vmhgfs-fuse
%attr(755,root,root) %{_bindir}/vmtoolsd
%attr(755,root,root) %{_bindir}/vmware-checkvm
%attr(755,root,root) %{_bindir}/vmware-guestproxycerttool
%attr(755,root,root) %{_bindir}/vmware-hgfsclient
%attr(755,root,root) %{_bindir}/vmware-namespace-cmd
%attr(755,root,root) %{_bindir}/vmware-rpctool
%attr(755,root,root) %{_bindir}/vmware-toolbox-cmd
%if %{with x}
%attr(4755,root,root) %{_bindir}/vmware-user-suid-wrapper
%endif
%attr(755,root,root) %{_bindir}/vmware-xferlogs
%attr(755,root,root) %{_bindir}/vmware-vgauth-cmd
%attr(755,root,root) %{_bindir}/vmware-vmblock-fuse
%attr(755,root,root) %{_sbindir}/mount.vmhgfs
%attr(755,root,root) %{_libdir}/libDeployPkg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libDeployPkg.so.0
%attr(755,root,root) %{_libdir}/libguestlib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguestlib.so.0
%attr(755,root,root) %{_libdir}/libvgauth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvgauth.so.0
%attr(755,root,root) %{_libdir}/libvmtools.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvmtools.so.0
%attr(755,root,root) %{_libdir}/libhgfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhgfs.so.0
%dir %{_libdir}/open-vm-tools
%dir %{_libdir}/open-vm-tools/plugins
%dir %{_libdir}/open-vm-tools/plugins/vmsvc
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmsvc/libdeployPkgPlugin.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmsvc/libgrabbitmqProxy.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmsvc/libguestInfo.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmsvc/libpowerOps.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmsvc/libtimeSync.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmsvc/libvmbackup.so
%dir %{_libdir}/open-vm-tools/plugins/common
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/common/libhgfsServer.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/common/libvix.so
%if %{with x}
%dir %{_libdir}/open-vm-tools/plugins/vmusr
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmusr/libdesktopEvents.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmusr/libdndcp.so
%attr(755,root,root) %{_libdir}/open-vm-tools/plugins/vmusr/libresolutionSet.so
%endif
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{systemdunitdir}/vmware-vmblock-fuse.service
/etc/modprobe.d/%{name}.conf
%dir %{_datadir}/open-vm-tools
%dir %{_datadir}/open-vm-tools/messages
%lang(de) %{_datadir}/open-vm-tools/messages/de
%lang(en) %{_datadir}/open-vm-tools/messages/en
%lang(es) %{_datadir}/open-vm-tools/messages/es
%lang(fr) %{_datadir}/open-vm-tools/messages/fr
%lang(it) %{_datadir}/open-vm-tools/messages/it
%lang(ja) %{_datadir}/open-vm-tools/messages/ja
%lang(ko) %{_datadir}/open-vm-tools/messages/ko
%lang(zh_CN) %{_datadir}/open-vm-tools/messages/zh_CN
%lang(zh_TW) %{_datadir}/open-vm-tools/messages/zh_TW

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libDeployPkg.so
%attr(755,root,root) %{_libdir}/libguestlib.so
%attr(755,root,root) %{_libdir}/libvgauth.so
%attr(755,root,root) %{_libdir}/libvmtools.so
%attr(755,root,root) %{_libdir}/libhgfs.so
%dir %{_includedir}/libDeployPkg
%{_includedir}/libDeployPkg/*.h
%dir %{_includedir}/vmGuestLib
%{_includedir}/vmGuestLib/includeCheck.h
%{_includedir}/vmGuestLib/vmGuestLib.h
%{_includedir}/vmGuestLib/vmSessionId.h
%{_includedir}/vmGuestLib/vm_basic_types.h
%{_libdir}/libDeployPkg.la
%{_libdir}/libguestlib.la
%{_libdir}/libvgauth.la
%{_libdir}/libvmtools.la
%{_libdir}/libhgfs.la
%{_pkgconfigdir}/libDeployPkg.pc
%{_pkgconfigdir}/vmguestlib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libDeployPkg.a
%{_libdir}/libguestlib.a
%{_libdir}/libvgauth.a
%{_libdir}/libvmtools.a
%{_libdir}/libhgfs.a

%files gui
%defattr(644,root,root,755)
%{_sysconfdir}/xdg/autostart/vmware-user.desktop

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc open-vm-tools/docs/api/build/html/*
%endif

%files -n udev-open-vm-tools
%defattr(644,root,root,755)
/lib/udev/rules.d/99-vmware-scsi-udev.rules
%changelog
* Wed Dec 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/open-vm-tools.git;a=log;h=master

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> 92fe3ab
- up to 10.1.0

* Mon Dec 12 2016 Jan Rękorajski <baggins@pld-linux.org> 6d711d9
- updated BRs

* Wed Nov 30 2016 Jan Palus <atler@pld-linux.org> 43e982e
- patches missing in previous commit (thanks Bartek Szady)

* Mon Nov 07 2016 Jan Palus <atler@pld-linux.org> 64a5a67
- initial update to 10.0.7

* Mon Aug 22 2016 Jan Rękorajski <baggins@pld-linux.org> 3887b5a
- release 16 (by relup.sh)

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> fc8016d
- rebuild with icu 57.1
- release 15 (by relup.sh)

* Fri Feb 05 2016 Adam Osuchowski <adwol@pld-linux.org> 60ae830
- removed `set -x' from init script

* Fri Feb 05 2016 Elan Ruusamäe <glen@delfi.ee> 5a19e7b
- noarch apidocs package

* Thu Feb 04 2016 Adam Osuchowski <adwol@pld-linux.org> c189647
- separate apidocs subpackage
- bcond for X11 support build

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 0406df1
- fix building with gcc 5.x
- rel 13

* Mon Aug 24 2015 Elan Ruusamäe <glen@delfi.ee> 86c29c7
- procps rebuild
- release 12 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> 3af5cfb
- release 11 (by relup.sh)

* Thu Apr 30 2015 Jan Rękorajski <baggins@pld-linux.org> 8104485
- fix building with linux 3.10.76
- rel 10

* Thu Apr 30 2015 Jan Rękorajski <baggins@pld-linux.org> 62b61bb
- fix building with linux 3.14.40
- rel 9

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> 61a1176
- fixed patch
- rel 8

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> ac28e42
- fix building with kernel 3.4.107
- rel 7

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 867e1e3
- x32 rebuild
- release 6 (by relup.sh)

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 1ef9306
- no userland on x32 here

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 6d9c02e
- add x32 to the list of supported archs

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 764cd45
- rel 5

